Send a fax
curl --request POST \
--url https://api.orbit.devotel.io/api/v1/messages/fax \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": "<string>",
"media_url": "<string>",
"from": "<string>",
"webhook_url": "<string>",
"metadata": {}
}
'import requests
url = "https://api.orbit.devotel.io/api/v1/messages/fax"
payload = {
"to": "<string>",
"media_url": "<string>",
"from": "<string>",
"webhook_url": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
to: '<string>',
media_url: '<string>',
from: '<string>',
webhook_url: '<string>',
metadata: {}
})
};
fetch('https://api.orbit.devotel.io/api/v1/messages/fax', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"status": "<string>",
"channel": "fax",
"from": "<string>",
"to": "<string>",
"body": "<string>",
"price": "<string>",
"currency": "<string>",
"external_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": {}
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}Messages
Send a fax
Send a fax via Telnyx. Supports PDF + TIFF, capped at 50 MB per Telnyx’s hard limit.
POST
/
api
/
v1
/
messages
/
fax
Send a fax
Authorizations
BearerApiKey
Dashboard JWT token from Clerk
Body
application/json
Recipient fax number (E.164).
Pattern:
^\+[1-9]\d{1,14}$Public URL of the document to fax (PDF or TIFF).
Sender fax number (E.164).
Pattern:
^\+[1-9]\d{1,14}$Available options:
normal, high, very_high Show child attributes
Show child attributes
⌘I